xmltooling::DataSealerKeyStrategy Class Referenceabstract
Inheritance diagram for xmltooling::DataSealerKeyStrategy:
[legend]
Collaboration diagram for xmltooling::DataSealerKeyStrategy:
[legend]

## Public Member Functions

virtual std::pair< std::string, const XSECCryptoSymmetricKey * > | getDefaultKey () const =0
| Get the default/current key to use for new operations, returned along with an identifier for it.
virtual const XSECCryptoSymmetricKey * | getKey (const char *name) const =0
| Get a specifically named key.
Public Member Functions inherited from xmltooling::Lockable
virtual Lockable * | lock ()=0
| Lock the associated object for exclusive access.
virtual void | unlock ()=0
| Unlock the associated object from exclusive access.

## Member Function Documentation

## getDefaultKey()

virtual std::pair< std::string, const XSECCryptoSymmetricKey * > xmltooling::DataSealerKeyStrategy::getDefaultKey | ( |  | ) | const

pure virtual

Get the default/current key to use for new operations, returned along with an identifier for it.

Returns
  the key and its label

## getKey()

virtual const XSECCryptoSymmetricKey * xmltooling::DataSealerKeyStrategy::getKey | ( | const char * | name | ) | const

pure virtual

Get a specifically named key.

Parameters

  name | name of the key to retrieve

Returns
  the key

The documentation for this class was generated from the following file:

- xmltooling/security/DataSealer.h